<style type="text/css">
		<!--
		A:link        {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: none; color: #0000ff}
		A:visited     {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: none; color: #0000ff}
		A:hover       {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: underline; color: #FF0000}
		th            {font-family: helvetica, arial; color : blue; font-size:85%; background : lightgrey; border-right:black solid 1pt; border-bottom:black solid 1pt;}
		//-->
		</style><hr><a name="_C_BOXPLOT"><div style="background-color:yellow;font-family:courier new;"></a>CLASS <b>BoxPlot</b> EXTENDS <a href="StockPlot.html#_C_STOCKPLOT" style="font-face:arial;font-weight:bold;">StockPlot</a></div>
<i>(Defined in: jpgraph_stock.php : 158)</i><table border=1><tr><td>&nbsp;<a href="BoxPlot.html" style="font-family:arial;font-weight:bold;color:darkblue;">BoxPlot</a>&nbsp;</td><td>&nbsp;<a href="StockPlot.html" style="font-family:arial;font-weight:bold;color:darkblue;">StockPlot</a>&nbsp;</td><td>&nbsp;<a href="Plot.html" style="font-family:arial;font-weight:bold;color:darkblue;">Plot</a>&nbsp;</td></tr><tr><td valign=top>&nbsp;<a href="BoxPlot.html#_BOXPLOT_BOXPLOT">BoxPlot()</a>&nbsp;<br>
&nbsp;<a href="BoxPlot.html#_BOXPLOT_SETMEDIANCOLOR">SetMedianColor()</a>&nbsp;<br>
</td><td valign=top>&nbsp;<a href="StockPlot.html#_STOCKPLOT_HIDEENDLINES">HideEndLines()</a>&nbsp;<br>
&nbsp;<a href="StockPlot.html#_STOCKPLOT_SETCOLOR">SetColor()</a>&nbsp;<br>
&nbsp;<a href="StockPlot.html#_STOCKPLOT_SETWIDTH">SetWidth()</a>&nbsp;<br>
&nbsp;<a href="StockPlot.html#_STOCKPLOT_STOCKPLOT">StockPlot()</a>&nbsp;<br>
</td><td valign=top>&nbsp;<a href="Plot.html#_PLOT_HIDELEGEND">HideLegend()</a>&nbsp;<br>
&nbsp;<a href="Plot.html#_PLOT_SETCENTER">SetCenter()</a>&nbsp;<br>
<a href="Plot.html#_PLOT_SETCOLOR" style="color:darkgrey;">SetColor()&nbsp;</a><br>
&nbsp;<a href="Plot.html#_PLOT_SETCSIMTARGETS">SetCSIMTargets()</a>&nbsp;<br>
&nbsp;<a href="Plot.html#_PLOT_SETLEGEND">SetLegend()</a>&nbsp;<br>
&nbsp;<a href="Plot.html#_PLOT_SETLINEWEIGHT">SetLineWeight()</a>&nbsp;<br>
</td></tr></table>&nbsp;<p><div style="font-weight:bold;font-family:arial;font-size:100%;">Class usage and Overview</div>Create a box plot. This is the same as a stock plot but with the added feature of a median line. For each X-value 5 Y values must be specified:
(open,close,min,max,median)
 <p> &nbsp;
<div style="font-weight:bold;font-family:arial;font-size:85%;">See also related classes:</div><a href="StockPlot.html">StockPlot</a> <p> &nbsp;<hr><span style="font-family:arial;font-size:120%;font-weight:bold;">Class Methods</span><hr><p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_BOXPLOT_BOXPLOT"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">BoxPlot</font><font color="#007700">(</font><font color="#0000BB">$datay</font><font color="#007700">,</font><font color="#0000BB">$datax</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Create a new Box plot</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$datay</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Y-tuples</td></tr>

<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$datax</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">false</font>
</font>
</td><td>If specified, X-positions</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Create a new Box plot. Each data point in a box plotconsists of 5 values; (open,close,min,max,median)

&nbsp;<br>
 &nbsp; <div style="font-weight:bold;font-family:arial;font-size:85%;">See also</div><a href="StockPlot.html#_STOCKPLOT_STOCKPLOT">StockPlot::StockPlot</a>
<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$bplot&nbsp;</font><font color="#007700">=&nbsp;new&nbsp;</font><font color="#0000BB">BoxPlot</font><font color="#007700">(</font><font color="#0000BB">$ydata</font><font color="#007700">);</font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_BOXPLOT_SETMEDIANCOLOR"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetMedianColor</font><font color="#007700">(</font><font color="#0000BB">$aPos</font><font color="#007700">,</font><font color="#0000BB">$aNeg</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Specify color for median line</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aPos</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Positive color</td></tr>

<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aNeg</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Negative color</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Specify color for median line. &nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$bplot</font><font color="#007700">-&gt;</font><font color="#0000BB">SetMedianColor</font><font color="#007700">(</font><font color="#DD0000">'black'</font><font color="#007700">,</font><font color="#DD0000">'white'</font><font color="#007700">);</font><font color="#0000BB"></font>
</font>
</span><br>
<p> <hr> <p>